This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-04-01 13:09
Elapsed6m49s
Revision
Buildered65ce83-7419-11ea-901a-3a7046a79cdf
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/0c1d4b91-ad2e-4dc8-ab39-f79340bf1b3b/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/0c1d4b91-ad2e-4dc8-ab39-f79340bf1b3b/targets/test
infra-commitc3269f485

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0401 13:09:21.203] process 29 exited with code 0 after 0.0m
I0401 13:09:21.204] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 13:09:21.204] Root: /workspace
I0401 13:09:21.204] cd to /workspace
I0401 13:09:21.204] Configure environment...
I0401 13:09:21.205] Call:  git show -s --format=format:%ct HEAD
W0401 13:09:21.209] fatal: not a git repository (or any of the parent directories): .git
I0401 13:09:21.209] process 42 exited with code 128 after 0.0m
W0401 13:09:21.209] Unable to print commit date for HEAD
I0401 13:09:21.209] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 13:09:21.674] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 13:09:22.562] process 43 exited with code 0 after 0.0m
I0401 13:09:22.563] Call:  gcloud config get-value account
I0401 13:09:23.405] process 56 exited with code 0 after 0.0m
I0401 13:09:23.405] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 13:09:23.405] Start 1245337375475765248 at ...
I0401 13:09:23.407] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_lOCTSV gs://kubernetes-jenkins/logs/metrics-kettle/1245337375475765248/started.json
I0401 13:09:26.158] process 69 exited with code 0 after 0.0m
I0401 13:09:26.158] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0401 13:09:26.188] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0401 13:16:00.738] ERROR: table k8s-gubernator:build.all is 30.2 hours old. Max allowed: 6 hours.
I0401 13:16:00.738] ERROR: table k8s-gubernator:build.week is 30.4 hours old. Max allowed: 6 hours.
I0401 13:16:00.738] ERROR: table k8s-gubernator:build.day is 29.9 hours old. Max allowed: 6 hours.
I0401 13:16:00.738] Collected data:
I0401 13:16:00.738] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0401 13:16:00.739] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0401 13:16:00.739] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0401 13:16:00.739] 
W0401 13:16:00.822] Traceback (most recent call last):
... skipping 22 lines ...
W0401 13:16:00.825]     self.send(msg)
W0401 13:16:00.825]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0401 13:16:00.825]     self.connect()
W0401 13:16:00.825]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0401 13:16:00.825]     conn = self._new_conn()
W0401 13:16:00.825]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0401 13:16:00.825]     self, "Failed to establish a new connection: %s" % e
W0401 13:16:00.826] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f84aad64358>: Failed to establish a new connection: [Errno 110] Connection timed out
W0401 13:16:00.826] 
W0401 13:16:00.826] During handling of the above exception, another exception occurred:
W0401 13:16:00.826] 
W0401 13:16:00.826] Traceback (most recent call last):
W0401 13:16:00.826]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0401 13:16:00.826]     timeout=timeout
W0401 13:16:00.826]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0401 13:16:00.826]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0401 13:16:00.827]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0401 13:16:00.827]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0401 13:16:00.827] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f84aad64358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 13:16:00.827] 
W0401 13:16:00.827] During handling of the above exception, another exception occurred:
W0401 13:16:00.827] 
W0401 13:16:00.827] Traceback (most recent call last):
W0401 13:16:00.827]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0401 13:16:00.828]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0401 13:16:00.829]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0401 13:16:00.829]     resp = self.send(prep, **send_kwargs)
W0401 13:16:00.829]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0401 13:16:00.829]     r = adapter.send(request, **kwargs)
W0401 13:16:00.829]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0401 13:16:00.829]     raise ConnectionError(e, request=request)
W0401 13:16:00.830] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f84aad64358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 13:16:00.830] Traceback (most recent call last):
W0401 13:16:00.830]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0401 13:16:00.830]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0401 13:16:00.830]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0401 13:16:00.830]     check(*cmd)
W0401 13:16:00.830]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0401 13:16:00.831]     subprocess.check_call(cmd)
W0401 13:16:00.831]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0401 13:16:00.831]     raise CalledProcessError(retcode, cmd)
W0401 13:16:00.831] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0401 13:16:00.831] Command failed
I0401 13:16:00.831] process 251 exited with code 1 after 6.6m
E0401 13:16:00.832] FAIL: metrics-kettle
I0401 13:16:00.832] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 13:16:01.295] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 13:16:01.903] process 255 exited with code 0 after 0.0m
I0401 13:16:01.904] Call:  gcloud config get-value account
I0401 13:16:02.746] process 267 exited with code 0 after 0.0m
I0401 13:16:02.746] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 13:16:02.747] Upload result and artifacts...
I0401 13:16:02.747] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1245337375475765248
W0401 13:16:02.747] Missing local artifacts : /workspace/_artifacts
W0401 13:16:02.747] metadata path /workspace/_artifacts/metadata.json does not exist
W0401 13:16:02.747] metadata not found or invalid, init with empty metadata
I0401 13:16:02.748] Call:  git rev-parse HEAD
W0401 13:16:02.752] fatal: not a git repository (or any of the parent directories): .git
E0401 13:16:02.753] Command failed
I0401 13:16:02.753] process 280 exited with code 128 after 0.0m
I0401 13:16:02.753] Call:  git rev-parse HEAD
I0401 13:16:02.757] process 281 exited with code 0 after 0.0m
I0401 13:16:02.758] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0401 13:16:04.102] process 282 exited with code 0 after 0.0m
I0401 13:16:04.103] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585743305525819'
... skipping 8 lines ...